Subject: [rbridge] Use of 802.1ah Encaps

From: Eric.Gray at marconi.com (Gray, Eric)
Date: Thu, 7 Dec 2006 13:34:06 -0500

Don,

	I think we're not disagreeing with each other.

	Where people make proposals that look like an existing
encapsulation, the complexity associated with defining a new
encapsulation that is marginally different has to be weighed
very carefully against what we expect to gain in doing so.

	I think it is clear to me that the complexity is not
justified.  Moreover, I don't see anyone continuing to make
the case that we should do this - so it may be the case that
many people are of a similar opinion.

	The issue of whether or not it makes sense to use the
specific encapsulation proposed - or an existing similar
encapsulation - in the RBridge problem domain is a horse of
a different color.  I am not sure that we've achieved any
level of agreement on this issue, consequently this entire
discussion could be considered simply as a distraction.

--
Eric

> -----Original Message-----
> From: Don Fedyk [mailto:dwfedyk at nortel.com] 
> Sent: Thursday, December 07, 2006 12:21 PM
> To: Gray, Eric; Ali Sajassi (sajassi)
> Cc: Developing a hybrid router/bridge.; Joe Touch
> Subject: RE: [rbridge] Use of 802.1ah Encaps
> 
> Hi Eric 
> 
> > -----Original Message-----
> > From: Gray, Eric [mailto:Eric.Gray at marconi.com] 
> > 
> > Don,
> > 
> > 	And yet, someone (Ali Sajassi) asserted (in his message 
> > dated Wed 12/6/2006 at 2:16 PM EST) that there were no issues 
> > or additional complications with using 802.1ah in enterprises 
> > for plug-and-play applicability.
> > 
> > 	Perhaps Ali can answer my question then.
> > 
> > 	But, to more directly address your earlier comments:
> > 
> > 	The TRILL WG has NOT come up with an encapsulation that 
> > "looks like" 802.1ah - unless someone squints really hard and 
> > tries to pretend that two separate Ethernet encapsulations - 
> > separated by a SHIM header - are one single encapsulation.
> 
> To be fair Point to Point header that was discussed without one of the
> shims was very close "functionally" (colloquial looks like) 
> to 802.1ah.
> My opinion is still we don't need several variations of headers doing
> similar things. 
> 
> This was the slide that looked a lot like what I posted.  
> 
> http://www3.ietf.org/proceedings/06nov/slides/trill-1/sld13.htm
> 
> Regards,
> Don 
> > 
> > 	That is not to say that the WG has done anything that 
> > could be said to disallow the use of 802.1ah encapsulation.
> > It is just not obviously consistent with all of the WG goals 
> > to use _only_ 802.1ah encapsulation.
> > 
> > --
> > Eric
> > 
>